Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dks.src.textureEditor
Class CMaskFilter

    java.lang.Object
      java.awt.image.ImageFilter
          java.awt.image.RGBImageFilter
              dks.src.textureEditor.CMaskFilter

All Implemented Interfaces:
  java.awt.image.ImageConsumer, java.io.Serializable, java.lang.Cloneable

    public class CMaskFilter

extends java.awt.image.RGBImageFilter
implements java.io.Serializable

This class implements a filter for renderer the transparence of an image
date : 4 sept. 07

Author:
  DarK Sidious
See Also:
  Serialized Form

Field Summary

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`CMaskFilter()`

Method Summary
`CMaskFilter` | `clone()`
`int` | `filterRGB(int x, int y, int rgb)`
`java.lang.String` | `toString()`

Methods inherited from class java.awt.image.RGBImageFilter
`filterIndexColorModel, filterRGBPixels, setColorModel, setPixels, setPixels, substituteColorModel`

Methods inherited from class java.awt.image.ImageFilter
`getFilterInstance, imageComplete, resendTopDownLeftRight, setDimensions, setHints, setProperties`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CMaskFilter

    public CMaskFilter()

Method Detail

### filterRGB

    public int filterRGB(int x,
                         int y,
                         int rgb)

  Specified by:
    `filterRGB` in class `java.awt.image.RGBImageFilter`
  Parameters:
    `x` - the x position of the pixel
    `y` - the y position of the pixel
    `rgb` - the color of the pixel
  Returns:
    the rgba of the pixel
  See Also:
    `RGBImageFilter.filterRGB(int,int,int)`

### clone

    public CMaskFilter clone()

  Overrides:
    `clone` in class `java.awt.image.ImageFilter`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD